# Materials_MaterialsSequence.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_Materials_MaterialsSequence.hxx>`
`#include <Materials_MtsSequence.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_Materials_Material.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Handle_Materials_Material
#define | Item_hxx <Materials_Material.hxx>
#define | TheSequence Materials_MtsSequence
#define | TheSequence_hxx <Materials_MtsSequence.hxx>
#define | TCollection_HSequence Materials_MaterialsSequence
#define | TCollection_HSequence_hxx <Materials_MaterialsSequence.hxx>
#define | Handle_TCollection_HSequence Handle_Materials_MaterialsSequence
#define | TCollection_HSequence_Type_() Materials_MaterialsSequence_Type_()

## Functions

Handle_Materials_MaterialsSequence | ShallowCopy (const Handle_Materials_MaterialsSequence &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_Materials_MaterialsSequence

#define Item Handle_Materials_Material

#define Item_hxx <Materials_Material.hxx>

#define TCollection_HSequence Materials_MaterialsSequence

#define TCollection_HSequence_hxx <Materials_MaterialsSequence.hxx>

#define TCollection_HSequence_Type_ | (

)

Materials_MaterialsSequence_Type_()

#define TheSequence Materials_MtsSequence

#define TheSequence_hxx <Materials_MtsSequence.hxx>

## Function Documentation

Handle_Materials_MaterialsSequence ShallowCopy | ( | const Handle_Materials_MaterialsSequence & | me | ) | `[inline]`